package cwp.tags;

import java.io.*;

import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;// tells the system what to do when it sees the tag.
import javax.servlet.http.*;
import cwp.tags.*;

public class CookieTag extends TagSupport {

	String cookiename;

	public int doStartTag() throws JspException {
		try {

			HttpServletRequest request = (HttpServletRequest)pageContext.getRequest();
			HttpServletResponse response = (HttpServletResponse)pageContext.getResponse();

			response.setContentType("text/html");
			    PrintWriter out = response.getWriter();
			    String title = "Active Cookies";
			    out.println(ServletUtilities.headWithTitle(title) +
			                "<BODY BGCOLOR=\"#FDF5E6\">\n" +
			                "<H1 ALIGN=\"CENTER\">" + title + "</H1>\n" +
			                "<TABLE BORDER=1 ALIGN=\"CENTER\">\n" +
			                "<TR BGCOLOR=\"#FFAD00\">\n" +
			                "  <TH>Cookie Name\n" +
			                "  <TH>Cookie Value");
			    Cookie[] cookies = request.getCookies();
			    if (cookies != null) {
			      Cookie cookie;
			      for(int i=0; i<cookies.length; i++) {
			        cookie = cookies[i];
			        out.println("<TR>\n" +
			                    "  <TD>" + cookie.getName() + "\n" +
			                    "  <TD>" + cookie.getValue());
			      }
			    }
    out.println("</TABLE></BODY></HTML>");
		}
		catch(IOException ioe) {
			throw new JspTagException("Error : ");
		}
		return SKIP_BODY;
	}

	public void setCookiename (String username) {
		cookiename = username;
	}

}