package cwp;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.sql.*;

public class DBServlet extends HttpServlet {

  public void doPost(javax.servlet.http.HttpServletRequest req,
  					 javax.servlet.http.HttpServletResponse res)
  					 throws ServletException, IOException {

  	String driver = "sun.jdbc.odbc.JdbcOdbcDriver"; // use Jdbc-Odbc-Bridge

  	String url = "jdbc:odbc:ayedduladb"; // as defined in the ODBC Data Source  Administrator
  	java.sql.Connection connection = null;
  	java.sql.ResultSet resultSet = null;
  	java.sql.Statement statement = null;

  	try {
		  try{
  	 			Class.forName(driver); // load the driver class
		  }
		  catch(ClassNotFoundException e)  {
			  throw new UnavailableException(this, "can not load db driver");
		  }
     // when the driver is loaded into memory, it registers itself with the DriverManager
     // as an available database driver
  	 connection = java.sql.DriverManager.getConnection(url, null, null); //  connect to database
  	 statement = connection.createStatement();
  	 resultSet = statement.executeQuery("select * from employee");
  	 //while (resultSet.next())
  	 //{
  	 // 	System.out.println(resultSet.getString(2)); // get value in first  column
     //}

  		res.setContentType("text/html");
	  	PrintWriter out = res.getWriter();
	  	out.println("<HTML><HEAD><TITLE> mysql odbc servlet</TITLE></HEAD>");
  		out.println("<BODY>");
  		while (resultSet.next())
  		{
  			out.println(resultSet.getString("employeeName"));
  			out.println(" = ");
  			out.println(resultSet.getString("phoneNumber"));
  			out.println("<br>");
  		}
  		out.println("</body></html>");
	}
  	catch (SQLException anSQLException)
  	{
  	 anSQLException.printStackTrace();
  	}
 }
 public void doGet(javax.servlet.http.HttpServletRequest req,
   					 javax.servlet.http.HttpServletResponse res)
   					 throws ServletException, IOException {

   	String driver = "sun.jdbc.odbc.JdbcOdbcDriver"; // use Jdbc-Odbc-Bridge

   	String url = "jdbc:odbc:ayedduladb"; // as defined in the ODBC Data Source  Administrator
   	java.sql.Connection connection = null;
   	java.sql.ResultSet resultSet = null;
   	java.sql.Statement statement = null;

   	try {
 		  try{
   	 			Class.forName(driver); // load the driver class
 		  }
 		  catch(ClassNotFoundException e)  {
 			  throw new UnavailableException(this, "can not load db driver");
 		  }
      // when the driver is loaded into memory, it registers itself with the DriverManager
      // as an available database driver
   	 connection = java.sql.DriverManager.getConnection(url, null, null); //  connect to database
   	 statement = connection.createStatement();
   	 resultSet = statement.executeQuery("select * from employee");
   	 //while (resultSet.next())
   	 //{
   	 // 	System.out.println(resultSet.getString(2)); // get value in first  column
      //}

   		res.setContentType("text/html");
 	  	PrintWriter out = res.getWriter();
 	  	out.println("<HTML><HEAD><TITLE> mysql odbc servlet</TITLE></HEAD>");
   		out.println("<BODY>");
   		while (resultSet.next())
   		{
   			out.println(resultSet.getString("employeeName"));
   			out.println(" = ");
   			out.println(resultSet.getString("phoneNumber"));
   			out.println("<br>");
   		}
   		out.println("</body></html>");
 	}
   	catch (SQLException anSQLException)
   	{
   	 anSQLException.printStackTrace();
   	}
 }

}