package cwp.tags;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class HelloWorldDoGet extends HttpServlet {

	public void doGet(HttpServletRequest request,HttpServletResponse response)
      throws ServletException, IOException {
		try {
			response.setContentType("text/html");
    		PrintWriter out = response.getWriter();
    		out.println("<html>");
    		out.println("<body>");
    		out.println("<head>");
    		out.println("<title>Hello World Do Get</title>");
    		out.println("</head>");
    		out.println("<body>");
    		out.println("<h1>Hello World Do Get Method </h1>");
    		out.println("<h2> This part is request information example </h2>");
    		out.println("<br>Method:" + request.getMethod());
    		out.println("<br>Request URI: " +request.getRequestURI());
    		out.println("<br>Protocol: " +request.getProtocol());
    		out.println("<br>PathInfo: " +request.getPathInfo());
    		out.println("<br>Remote Address: " +request.getRemoteAddr());

    		/*out.println("<br>Print out cookies ---");

    		Cookie[] cookies = request.getCookies();
    		for(int i = 0; i < cookies.length; i++) {
				Cookie c = cookies[i];
				String name1 = c.getName();
				String value1 = c.getValue();
				out.println(name1 + " = " +value1);
			}

			out.println("<br>Set cookie ---");

			String name2 = request.getParameter("cookieName");
			if (name2 != null && name2.length() > 0 ) {
				String value2 = request.getParameter("cookieValue");
				Cookie c = new Cookie(name2, value2);
				response.addCookie(c);
			}*/

			//print session info

			HttpSession session = request.getSession(true);

			Date created = new Date(session.getCreationTime());
			Date accessed = new Date(session.getLastAccessedTime());
			out.println("<br>ID: "+ session.getId());
			out.println("<br>Created: "+created);
			out.println("<br>accessed: "+accessed);

			//session info if needed

			String dataName = request.getParameter("dataName");
			if(dataName != null && dataName.length() > 0) {
				String dataValue = request.getParameter("dataValue");
				session.setAttribute(dataName,dataValue);
			}

			//print Session contents

			Enumeration e = session.getAttributeNames();
			while (e.hasMoreElements()) {
				String name3 = (String)e.nextElement();
				String value3 = session.getAttribute(name3).toString();
				out.println(name3+ " = " + value3);
			}

    		out.println("</body>");
    		out.println("</html>");

		}
		catch(IOException ioe) {
			System.out.println("Error generating prime: " + ioe);
		}
	}
	// same operation for the POST request as for GET methods
	public void doPost(HttpServletRequest request,HttpServletResponse response)
      throws ServletException, IOException {
		Enumeration e = request.getHeaderNames();
		PrintWriter out = response.getWriter();
		out.println("This is Do Post request");
		while (e.hasMoreElements()) {
			String name = (String)e.nextElement();
			String value = request.getHeader(name);
	    	out.println( name + " = " + value );
		}
		out.println("This is Do Get request");
		doGet(request,response);
	}
}