package cwp.tags;

import java.io.IOException;
import java.io.*;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.tagext.TagSupport;// tells the system what to do when it sees the tag.
import javax.servlet.http.*;
import javax.servlet.jsp.tagext.*;
import javax.servlet.jsp.*;

public class LowerCaseTag extends BodyTagSupport {

	public int doAfterBody() throws JspException {
		try {
			BodyContent body = getBodyContent();
			JspWriter writer = body.getEnclosingWriter();
			String bodyString = body.getString();
			if(bodyString != null ) {
				writer.print(bodyString.toLowerCase());
				writer.print("Print this on the browser.( from the java file\n) ");
			}
		}
		catch(IOException ioe) {
			throw new JspTagException("Error : ");
		}
		return SKIP_BODY;
	}

}